Module
Contents
Index 🔎︎

# CInt Function

Converts any string or numeric expression to an integer.

## الصياغة:

    CInt (Expression)

## Return value:

عدد صحيح

## المعاملات:

Expression: Any numeric expression that you want to convert. If the Expression exceeds the value range between -32768 and 32767, LibreOffice Basic reports an overflow error. To convert a string expression, the number must be entered as normal text ("123.5") using the default number format of your operating system.

This function always rounds the fractional part of a number to the nearest integer.

## Error codes:

5 Invalid procedure call

## مثال:

    Sub ExampleCountryConvert
        MsgBox CDbl(1234.5678)
        MsgBox CInt(1234.5678)
        MsgBox CLng(1234.5678)
    End Sub